# -*- coding: UTF-8 -*-

class Config(object):
    pass


# 懶得實現憑參數區分環境，自行將使用中的環境參數複製到這個區塊
class SysConfig(Config):
    DEBUG = True
    DB_HOST = '127.0.0.1'
    DB_PORT = 3306
    DB_USER = 'root'
    DB_PASS = 'XXX'
    DB_NAME = 'XXX'


# 佈署環境
class ProConfig(Config):
    DEBUG = False
    DB_HOST = '127.0.0.1'
    DB_PORT = 3306
    DB_USER = 'root'
    DB_PASS = 'XXX'
    DB_NAME = 'XXX'


# 測試環境
class PreConfig(Config):
    DEBUG = False
    DB_HOST = '127.0.0.1'
    DB_PORT = 3306
    DB_USER = 'root'
    DB_PASS = 'XXX'
    DB_NAME = 'XXX'


# 開發環境
class DevConfig(Config):
    DEBUG = True
    DB_HOST = '127.0.0.1'
    DB_PORT = 3307
    DB_USER = 'root'
    DB_PASS = 'XXX'
    DB_NAME = 'XXX'
